import org.hibernate.*;
import org.hibernate.cfg.*;

public class HibernateUtil {
	public static final SessionFactory sessionFactory;

	static {
		try {
			sessionFactory = new Configuration().configure().buildSessionFactory();
		} catch ( Throwable ex ) {
			System.err.println( "Could not create sessinFactory: " + ex );
			throw new ExceptionInInitializerError(ex);
		}
	}

	public static final ThreadLocal session = new ThreadLocal();

	public static Session currentSession() 
		throws HibernateException 
	{
		Session s = (Session)session.get();
		if ( s == null ) {
			s = sessionFactory.openSession();
			session.set(s);
		}
		return s;
	}

	public static void closeSession()
		throws HibernateException
	{
		Session s = (Session)session.get();
		if ( s != null ) {
			s.close();
		}
		session.set(null);
	}
}
